(* ************************************************************ 
			Mini Java 
 *************************************************************
 Auteur :	M. Sighireanu
 Fichier :	analyseur.ml
 Version :	1.2
 Date :		00/01/21 10:07:44
 *************************************************************
 Description :	analyseur Caml pour  Mini Java
 ************************************************************ *)

let parse_file s =
  let ch = open_in s in
  let lexbuf = Lexing.from_channel ch
  in  Javaparser.file Javalexer.initial lexbuf;;

let parse_exp ()=
  let lexbuf = Lexing.from_channel stdin
  in Javaparser.expression Javalexer.initial lexbuf ;;
  
let parse_stat ()=
  let lexbuf = Lexing.from_channel stdin
  in Javaparser.statement Javalexer.initial lexbuf;;
  
  
let parse_cdecl ()=
  let lexbuf = Lexing.from_channel stdin
  in Javaparser.cdecl Javalexer.initial lexbuf;;
 
let exp_of_string s=
  let lexbuf = Lexing.from_string s
  in Javaparser.expression Javalexer.initial lexbuf;;
  
let stat_of_string s=
  let lexbuf = Lexing.from_string s
  in Javaparser.statement Javalexer.initial lexbuf;;
  
  
 
let cdecl_of_string s=
  let lexbuf = Lexing.from_string s
  in Javaparser.cdecl Javalexer.initial lexbuf;;
  
